:root{
	--container-bg-color: #333;
	--left-bg-color: rgba(0,100,0,0.7);
	--left-button-hover-color: rgba(50, 205, 50, 0.3);
	--right-bg-color: rgba(43,43,43,0.8);
	--right-button-hover-color: rgba(92,92,92,0.3);
	--hover-width: 75%;
	--other-width: 25%;
	--speed: 100ms;
}

html, body{
	padding: 0;
	margin: 0;
	font-family: "proxima";
	width: 100%;
	height: 100%;
	overflow-x: hidden;
}

h1{
	font-size: 4rem;
	color: #fff;
	position: absolute;
	left: 50%;
	top: 50%;
	transform: translateX(-50%);
	white-space: nowrap;
}

button{
	display: block;
	position: absolute;
	left: 50%;
	top: 40%;
	height: 2.5rem;
	padding-top: 1.3rem;
	width: 15rem;
	text-align: center;
	color: #fff;
	border: #fff solid 0.2rem;
	font-size: 1rem;
	text-transform: uppercase;
	text-decoration: translateX(-50%);
}

.split.left .button:hover{
	background-color: var(--right-button-hover-color);
	border-color: var(--right-button-hover-color);
}

.split.right .button:hover{
	background-color: var(--right-button-hover-color);
	border-color: var(--right-button-hover-color); 
}

.container{
	position: relative;
	width: 100%
	height: 100%;
	background: var(--container-bg-color);
}

.split{
	position: absolute;
	width: 50%;
	height: 100%;
	overflow: hidden;
}

.split.left{
	left: 0;
	background: url('img/accounting-black-budget-53621.jpg')
	center center no-repeat;
	background-size: cover;
}

.split.left:before{
	position: absolute;
	content: "";
	width: 100%;
	height: 100%;
	background: var(--left-bg-color);
}

.split.right{
	right: 0;
	background: url('https://images.pexels.com/photos/53621/calculator-calculation-insurance-finance-53621.jpeg?auto=compress&cs=tinysrgb&dpr=2&h=650&w=940')
	center center no-repeat;
	background-size: cover;
}

.split.right:before{
	position: absolute;
	content: "";
	width: 100%;
	height: 100%;
	background: var(--right-bg-color);
}

.split.left, .split.right, .split.right:before, .split.left:before{
	transition: var(--speed) all ease-in-out;
}

.hover-left .left{
	width: var(--hover-width);
}

.hover-left .right{
	width: var(--other-width);
}

.hover-left .right:before{
	z-index: 2;
}

.hover-left .right{
	width: var(--hover-width);
}

.hover-right .left{
	width: var(--hover-width);
}

.hover-right .left{
	z-index: 2;
}

@media(max-width: 800px){
	h1{
		font-size: 2rem;
	}
	.button{
		width: 12rem;
	}
}

@media(max-height: 700px){
	.button{
		top: 70%;
	}
}
